PHPRecipeBook XSS

2003-11-03T05:47:33
ID OSVDB:2755
Type osvdb
Reporter OSVDB
Modified 2003-11-03T05:47:33

Description

Vulnerability Description

PHPRecipeBook contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate user supplied input. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

Solution Description

Upgrade to version 2.18 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

PHPRecipeBook contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate user supplied input. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

References:

Vendor Specific Solution URL: http://sourceforge.net/project/showfiles.php?group_id=65127 Secunia Advisory ID:10109 Mail List Post: http://archives.neohapsis.com/archives/apps/freshmeat/2002-12/0003.html Mail List Post: http://archives.neohapsis.com/archives/sf/ms/2003-q4/0163.html ISS X-Force ID: 13574 Generic Informational URL: http://www.sans.org/newsletters/risk/vol2_45.php Generic Informational URL: http://phprecipebook.sourceforge.net CVE-2003-1190 Bugtraq ID: 8963